/*
 * $RCSfile: ppp_constants.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1994  Arizona Board of Regents
 *
 * $Log: ppp_constants.h,v $
 * Revision 1.1  1994/10/24 20:44:34  andrey
 * Initial revision
 *
 *
 * $Revision: 1.1 $
 * $Date: 1994/10/24 20:44:34 $
 */

/*
 * RFC defined constants
 */

/* PPP Frame Delimiting Values */
#define PPP_FLAG       0x7e    /* Frame Delimiter                      */
#define PPP_ADDRESS    0xff    /* Address Field-all 1's                */
#define PPP_CONTROL    0x03    /* Control Field                        */
#define PPP_FCS_CHECK  0xabcd  /* Frame Check Sequence                 */

/* Protocol Encapsulation Values-Protocol Field */
#define PPP_IP         0x0021  /* Internet Protocol                    */
#define PPP_OSI        0x0023  /* OSI Network Layer                    */
#define PPP_XEROXNSIDP 0x0025  /* Xerox NS IDP                         */
#define PPP_DECNET_IV  0x0027  /* DECnet Phase IV                      */
#define PPP_APPLETALK  0x0029  /* Appletalk                            */
#define PPP_NOVEL_IPX  0x002b  /* Novell IPX                           */
#define PPP_VJC_TCPIP  0x002d  /* Van Jacobson Compressed TCP/IP       */
#define PPP_VJUC_TCPIP 0x002f  /* Van Jacobson Un-compressed TCP/IP    */
#define PPP_BPDU       0x0031  /* Bridging PDU                         */
#define PPP_STR_PROT   0x0033  /* Stream Protocol (ST-II)              */
#define PPP_BANYAN_V   0x0035  /* Banyan Vines                         */
#define PPP_HP802_1D   0x0201  /* 802.1d Hello Packets                 */
#define PPP_LUXCOM     0x0231  /* Luxcom                               */
#define PPP_SIGMA_NS   0x0233  /* Sigma Network Systems                */

#define PPP_IPCP       0x8021  /* Internet Protocol Control Protocol   */
#define PPP_ONLCP      0x8023  /* OSI Network Layer Control Protocol   */
#define PPP_XNICP      0x8025  /* Xerox NS IDP Control Protocol        */
#define PPP_DPIVCP     0x8027  /* DECnet Phase IV Control Protocol     */
#define PPP_ACP        0x8029  /* Appletalk Control Protocol           */
#define PPP_NICP       0x802b  /* Novell IPX Control Protocol          */
#define PPP_BNCP       0x8031  /* Bridging NCP                         */
#define PPP_SPCP       0x8033  /* Stream Protcol Control Protocol      */
#define PPP_BVCP       0x8035  /* Banyan Vines Control Protocol        */

#define PPP_LCP        0xc021  /* Link Control Protocol                */
#define PPP_PAP        0xc023  /* Password Authentication Protocol     */
#define PPP_LQR        0xc025  /* Link Quality Protocol                */
#define PPP_CHAP       0xc223  /* Challenge Handshake Authent Prot     */

#define PPP_MAXPACKET	1500
