/* 
 * ROM file processing
 */


#include "xkernel.h"
#include "qpumplin_internal.h"
#include "romopt.h"

static xkern_return_t   doOpt( Protl, char **, int, int, VOID * );


static ProtlRomOpt	rOpts[] = {
    { "", 3, doOpt }
};


static xkern_return_t doOpt( self, str, nFields, line, arg )
    Protl	self;
    char	**str;
    int		nFields, line;
    VOID	*arg;
{
    IPhost	ipaddr;
  
    if ( str2ipHost(&ipaddr, str[1]) == XK_FAILURE ) {
	return XK_FAILURE;
    }
    qpumplinRcvrAddr = ipaddr;
    
    qpumplinRcvrPort = atoi(str[2]);
    
    xTraceP2(self, TR_MAJOR_EVENTS, "RSR is at IP addr %s, port %d",
	    ipHostStr(&qpumplinRcvrAddr), qpumplinRcvrPort);

    return XK_SUCCESS;
}


void
qpumplinProcessRomFile( self )
    Protl	self;
{
    findProtlRomOpts(self, rOpts, sizeof(rOpts)/sizeof(ProtlRomOpt), 0);
}
