/*
 * $RCSfile: usit.h,v $
 *
 * Universal Stub Compiler
 *
 * Copyright (c) 1994    Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1994/10/13 17:43:30 $
 */

typedef enum {
  USIT_OUT_INFER_CODE  = 1,
  USIT_OUT_USC_CODE    = 2,
  USIT_IN_C_CODE       = 4,
  USIT_IN_INFER_OUTPUT = 8
} UsitMode;

typedef enum {
  TYPEDEF_CLASS,
  SYMBOL_CLASS,
  STRUCT_CLASS,
  UNION_CLASS
} UsitClass;

typedef struct usit_declaration {
  UsitClass the_class;
  Symbol *the_sym;   /* if the declaration is of a struct or union,
			make it into a sym */
  struct usit_declaration *next;
} UsitDecl;

typedef struct {
  UsitDecl *head, *tail;
} UsitDecList;

typedef struct {
  FILE *out;
  void *data;
} PtabPayload;

extern char *native_compiler;
extern UsitMode usit_output, usit_input;
extern FILE *UsitData;
extern char *UsitDataFile;
extern FILE *UsitValidate;

extern void run_preprocess (void);
extern Type *make_native (Type *thetype);
extern int do_preprocess;
extern void init_validate (void);
extern void gen_usit_validate (UsitDecList *the_list);

